## libspring-java 4.3.5

=== debian/changelog ===
libspring-java (4.3.5-1+deb9u1) stretch-security; urgency=high
  
  * Non-maintainer upload by the ELTS Security Team.
  * CVE-2018-1270/CVE-2018-1275: Spring Framework allows applications to
    expose STOMP over WebSocket endpoints with a simple, in-memory STOMP
    broker through the spring-messaging module. A malicious user (or
    attacker) can craft a message to the broker that can lead to a remote
    code execution attack.
  * CVE-2018-11039: Spring Framework allows web applications to change the
    HTTP request method to any HTTP method (including TRACE) using the
    HiddenHttpMethodFilter in Spring MVC. If an application has a
    pre-existing XSS vulnerability, a malicious user (or attacker) can use
    this filter to escalate to an XST (Cross Site Tracing) attack.
  * CVE-2018-11040: Spring Framework allows web applications to enable
    cross-domain requests via JSONP (JSON with Padding) through
    AbstractJsonpResponseBodyAdvice for REST controllers and
    MappingJackson2JsonView for browser requests. Both are not enabled by
    default in Spring Framework nor Spring Boot, however, when
    MappingJackson2JsonView is configured in an application, JSONP support
    is automatically ready to use through the "jsonp" and "callback" JSONP
    parameters, enabling cross-domain requests.
  * CVE-2018-15756: Spring Framework provides support for range requests
    when serving static resources through the ResourceHttpRequestHandler,
    or starting in 5.0 when an annotated controller returns an
    org.springframework.core.io.Resource. A malicious user (or attacker)
    can add a range header with a high number of ranges, or with wide
    ranges that overlap, or both, for a denial of service attack.

 -- Sylvain Beucler <beuc@debian.org>  Fri, 23 Apr 2021 17:07:11 +0200

libspring-java (4.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2016-9878: Directory Traversal in ResourceServlet
      (Closes: #849167)
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 23 Dec 2016 09:12:16 +0100

libspring-java (4.3.4-3) unstable; urgency=medium

  * Team upload.
  * Depend on libtaglibs-standard-jstlel-java instead of libjstl1.1-java
  * No longer build spring-instrument-tomcat (obsolete) (Closes: #846683)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 03 Dec 2016 23:01:27 +0100

libspring-java (4.3.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with gradle-debian-helper 1.4.4 to fix the optional dependencies
    in the poms (Closes: #844428)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Nov 2016 09:33:55 +0100

libspring-java (4.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Generate the pom files automatically with gradle-debian-helper 1.4
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Nov 2016 23:32:01 +0100
