=== debian/watch ===
version=3
opts=dversionmangle=s/\.RELEASE// \
https://github.com/spring-projects/spring-framework/tags .*/v([\d\.]+).RELEASE.tar.gz debian debian/orig-tar.sh
