## libspring-java 4.3.11

=== debian/changelog ===
libspring-java (4.3.11-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871875)
  * Wrap and sort dependencies lists.
  * Simplify d/rules.
  * Update copyright info.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
  * Updated the Maven rule for testng
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 Sep 2017 20:13:58 +0200

libspring-java (4.3.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Fixed a build failure with JRuby 9

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Jul 2017 19:53:24 +0200

libspring-java (4.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed the unused dependency on glassfish-toplink-essentials
  * Standards-Version updated to 4.0.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Jul 2017 11:46:29 +0200
