=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Miguel Landaeta <nomadium@debian.org>
-Build-Depends: debhelper (>= 10), default-jdk (>= 1:1.6), gradle (>= 1.7), gradle-debian-helper (>= 1.4.4~)
+Uploaders: Damien Raude-Morvan <drazzib@debian.org>
+Build-Depends: debhelper (>= 10),
+               default-jdk (>= 1:1.6),
+               gradle (>= 1.7),
+               gradle-debian-helper (>= 1.4.4~)
 Build-Depends-Indep: bsh,
                      glassfish-javaee,
-                     glassfish-toplink-essentials,
                      gradle-plugin-protobuf,
                      gradle-propdeps-plugin,
                      groovy,
@@ -81,16 +83,18 @@
                      libxstream-java,
                      libyaml-snake-java,
                      maven-repo-helper (>= 1.9~),
-                     testng,
+                     testng (>= 6.9.12-2~),
                      velocity
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/libspring-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libspring-java.git
 Homepage: http://projects.spring.io/spring-framework/
 
 Package: libspring-core-java
 Architecture: all
-Depends: libasm-java (>= 5.0), libcommons-logging-java, ${misc:Depends}
+Depends: libasm-java (>= 5.0),
+         libcommons-logging-java,
+         ${misc:Depends}
 Suggests: libaspectj-java,
           libcommons-collections3-java,
           liblog4j1.2-java
@@ -148,7 +152,9 @@
             libjodatime-java,
             libspring-instrument-java (= ${source:Version}),
             libtomcat8-java
-Suggests: bsh, groovy, jruby (>= 1.7.19~)
+Suggests: bsh,
+          groovy,
+          jruby (>= 1.7.19~)
 Description: modular Java/J2EE application framework - Context
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -240,7 +246,8 @@
 Package: libspring-test-java
 Architecture: all
 Depends: libspring-core-java (= ${source:Version}), ${misc:Depends}
-Recommends: junit4 (>= 4.5), testng
+Recommends: junit4 (>= 4.5),
+            testng (>= 6.9.12-2~)
 Description: modular Java/J2EE application framework - Test helpers
  Spring is a layered Java/J2EE application framework offering a lot of freedom
  to Java developers yet providing well documented and easy-to-use solutions for
@@ -251,7 +258,8 @@
 
 Package: libspring-transaction-java
 Architecture: all
-Depends: libspring-core-java (= ${source:Version}), ${misc:Depends}
+Depends: libspring-core-java (= ${source:Version}),
+         ${misc:Depends}
 Recommends: glassfish-javaee,
             libspring-aop-java (= ${source:Version}),
             libspring-context-java (= ${source:Version})
