## libspring-java 4.3.14

=== debian/changelog ===
libspring-java (4.3.14-1) unstable; urgency=high

  * Team upload.
  * New upstream version 4.3.14.
    - Fix CVE-2018-1199: Security bypass with static resources.

 -- Markus Koschany <apo@debian.org>  Fri, 09 Feb 2018 22:57:48 +0100

libspring-java (4.3.13-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS and update 0041-servlet-api-compatibility.patch.
    Thanks to Hans Joachim Desserud for the report and patch. (Closes: #886164)
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.

 -- Markus Koschany <apo@debian.org>  Sun, 04 Feb 2018 20:47:33 +0100

libspring-java (4.3.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Replaced the dependency on glassfish-j2ee with the Geronimo spec jars
  * Fixed a build failure caused by the latest Tomcat 8 update
  * Standards-Version updated to 4.1.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 04 Dec 2017 19:35:23 +0100

libspring-java (4.3.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Oct 2017 11:38:50 +0200
