=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                default-jdk (>= 1:1.6),
                gradle (>= 1.7),
                gradle-debian-helper (>= 1.4.4~)
 Build-Depends-Indep: bsh,
-                     glassfish-javaee,
                      gradle-plugin-protobuf,
                      gradle-propdeps-plugin,
                      groovy,
@@ -35,7 +34,7 @@
                      libfreemarker-java,
                      libgeronimo-commonj-spec-java (>= 1.1.1-3),
                      libgeronimo-concurrent-1.0-spec-java,
-                     libgeronimo-ejb-3.0-spec-java,
+                     libgeronimo-ejb-3.2-spec-java,
                      libgeronimo-interceptor-3.0-spec-java,
                      libgeronimo-j2ee-connector-1.5-spec-java (>= 2.0.0-1.1),
                      libgeronimo-jcache-1.0-spec-java,
@@ -85,7 +84,7 @@
                      maven-repo-helper (>= 1.9~),
                      testng (>= 6.9.12-2~),
                      velocity
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/libspring-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libspring-java.git
 Homepage: http://projects.spring.io/spring-framework/
@@ -142,11 +141,10 @@
          libspring-core-java (= ${source:Version}),
          libspring-expression-java (= ${source:Version}),
          ${misc:Depends}
-Recommends: glassfish-javaee,
-            libasm-java (>= 5.0),
+Recommends: libasm-java (>= 5.0),
             libatinject-jsr330-api-java,
             libcglib-java (>= 3.1),
-            libgeronimo-ejb-3.0-spec-java,
+            libgeronimo-ejb-3.2-spec-java,
             libgeronimo-jms-1.1-spec-java,
             libgeronimo-validation-1.0-spec-java,
             libjodatime-java,
@@ -260,7 +258,10 @@
 Architecture: all
 Depends: libspring-core-java (= ${source:Version}),
          ${misc:Depends}
-Recommends: glassfish-javaee,
+Recommends: libgeronimo-ejb-3.2-spec-java,
+            libgeronimo-interceptor-3.0-spec-java,
+            libgeronimo-j2ee-connector-1.5-spec-java (>= 2.0.0-1.1),
+            libgeronimo-jta-1.2-spec-java,
             libspring-aop-java (= ${source:Version}),
             libspring-context-java (= ${source:Version})
 Description: modular Java/J2EE application framework - transaction
@@ -277,5 +278,3 @@
          libspring-beans-java (= ${source:Version}),
          libspring-transaction-java (= ${source:Version}),
          ${misc:Depends}
-Description: modular Java/J2EE application framework - JDBC tools
- Spring is a layered Java/J2EE application framework offering a lot of freedom
