=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 JAVA_HOME       := /usr/lib/jvm/default-java
 
-VERSION = $(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*$$//')
 MODULES = aop beans context context-support core expression instrument jdbc jms messaging orm oxm test tx web webmvc webmvc-portlet
 
 %:
