## libspring-java 4.3.22

=== debian/changelog ===
libspring-java (4.3.22-3) unstable; urgency=medium

  * Disable jasperreports support since it is RC-buggy.
  * Don’t build against libreactor-core-java since it depends on RC-buggy
    openhft.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 09 Mar 2019 14:46:25 +0000

libspring-java (4.3.22-2) unstable; urgency=medium

  * Team upload.
  * Update dependency on aspectj to be versioned (>= 1.9.2)
    Thank you to Matthias Klose for the bug report.  (Closes: #923554)
  * Update Homepage URL in debian/control to use https
  * Update Source URL in debian/copyright
  * Freshen debian/copyright year for upstream
  * Add a patch to use SOURCE_DATE_EPOCH to compute the copyright year
    that appears in JAR files META-INF.  This should help with build
    reproducibility.

 -- tony mancill <tmancill@debian.org>  Sun, 03 Mar 2019 20:35:23 -0800

libspring-java (4.3.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Depend on librome-java (>= 1.6)
  * Depend on libapache-poi-java (>= 4.0)
  * Switch from libservlet3.1-java to lib{servlet,jsp,el,websocket}-api-java

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 22 Jan 2019 21:44:42 +0100

libspring-java (4.3.21-2) unstable; urgency=medium

  * Team upload.
  * Added the missing dependencies to libspring-core-java

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Jan 2019 01:51:05 +0100

libspring-java (4.3.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Fixes CVE-2018-15756: DoS attack via range requests (Closes: #911786)
  * Fixed the compatibility with Java 11 (Closes: #910356)
  * Depend on libtomcat9-java instead of libtomcat8-java
  * Standards-Version updated to 4.3.0
  * Updated the homepage (Closes: #911160)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Jan 2019 11:48:44 +0100

libspring-java (4.3.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2018-1270, CVE-2018-1272 and CVE-2018-1275 (Closes: #895114)
    - Refreshed the patches
    - Updated the Maven rules
  * Fixed the compatibility with the version of SnakeYAML in Debian
  * Replaced debian/orig-tar.sh with the File-Excluded field in debian/copyright
  * Standards-Version updated to 4.2.1
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Oct 2018 14:19:52 +0200
