=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: debhelper (>= 11),
-               default-jdk (>= 1:1.6),
+               default-jdk (>= 2:1.11),
                gradle (>= 1.7),
                gradle-debian-helper (>= 1.4.4~)
 Build-Depends-Indep: bsh,
@@ -13,9 +13,10 @@
                      groovy,
                      jruby (>= 1.7.19~),
                      junit4 (>= 4.5),
-                     libapache-poi-java,
+                     libactivation-java,
+                     libapache-poi-java (>= 4.0),
                      libasm-java (>= 5.0),
-                     libaspectj-java,
+                     libaspectj-java (>= 1.9.2),
                      libatinject-jsr330-api-java,
                      libc3p0-java,
                      libcastor-xml-java,
@@ -31,7 +32,9 @@
                      libecj-java,
                      libeclipselink-java,
                      libehcache-java,
+                     libel-api-java,
                      libfreemarker-java,
+                     libgeronimo-annotation-1.3-spec-java,
                      libgeronimo-commonj-spec-java (>= 1.1.1-3),
                      libgeronimo-concurrent-1.0-spec-java,
                      libgeronimo-ejb-3.2-spec-java,
@@ -51,7 +54,9 @@
                      libjackson2-databind-java,
                      libjackson2-dataformat-xml-java,
                      libjamon-java,
-                     libjasperreports-java (>= 6.1.1+dfsg-4~),
+#                     libjasperreports-java (>= 6.1.1+dfsg-4~),
+                     libjaxb-api-java,
+                     libjaxws-api-java,
                      libjdo-api-java (>= 3.1),
                      libjetty9-extra-java,
                      libjexcelapi-java,
@@ -61,6 +66,8 @@
                      libjpa-2.1-spec-java,
                      libjsf-api-java,
                      libjsonpath-java,
+                     libjsp-api-java,
+                     libjws-api-java,
                      libmail-java,
                      libnetty-java,
                      libopenjpa-java,
@@ -68,15 +75,16 @@
                      libprotobuf-java,
                      libprotobuf-java-format-java (>= 1.3),
                      libquartz2-java,
-                     libreactor-core-java (>= 2.0.8),
-                     librome-java,
-                     libservlet3.1-java,
+#                     libreactor-core-java (>= 2.0.8),
+                     librome-java (>= 1.6),
+                     libservlet-api-java,
                      libtaglibs-standard-jstlel-java,
                      libtiles-java (>= 3.0),
-                     libtomcat8-java,
+                     libtomcat9-java,
                      libvelocity-tools-java (>= 2.0-3),
                      libwebjars-locator-java,
                      libwebjars-locator-core-java,
+                     libwebsocket-api-java,
                      libxmlbeans-java,
                      libxmlunit-java,
                      libxstream-java,
@@ -84,17 +92,19 @@
                      maven-repo-helper (>= 1.9~),
                      testng (>= 6.9.12-2~),
                      velocity
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libspring-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libspring-java.git
-Homepage: http://projects.spring.io/spring-framework/
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/java-team/libspring-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libspring-java
+Homepage: https://spring.io/projects/spring-framework
 
 Package: libspring-core-java
 Architecture: all
-Depends: libasm-java (>= 5.0),
+Depends: libactivation-java,
+         libasm-java (>= 5.0),
          libcommons-logging-java,
-         ${misc:Depends}
-Suggests: libaspectj-java,
+         libjaxb-api-java,
+         ${misc:Depends}
+Suggests: libaspectj-java (>= 1.9.2),
           libcommons-collections3-java,
           liblog4j1.2-java
 Description: modular Java/J2EE application framework - Core
@@ -149,7 +159,7 @@
             libgeronimo-validation-1.0-spec-java,
             libjodatime-java,
             libspring-instrument-java (= ${source:Version}),
-            libtomcat8-java
+            libtomcat9-java
 Suggests: bsh,
           groovy,
           jruby (>= 1.7.19~)
@@ -172,7 +182,7 @@
 Suggests: libehcache-java,
           libfreemarker-java,
           libgeronimo-commonj-spec-java,
-          libjasperreports-java,
+#          libjasperreports-java,
           libquartz2-java,
           velocity
 Description: modular Java/J2EE application framework - Context Support
@@ -213,7 +223,7 @@
          ${misc:Depends}
 Recommends: libapache-poi-java,
             libitext-java,
-            libjasperreports-java,
+#            libjasperreports-java,
             libjexcelapi-java,
             libspring-context-support-java (= ${source:Version}),
             libtiles-java (>= 3.0),
@@ -266,15 +276,3 @@
             libspring-context-java (= ${source:Version})
 Description: modular Java/J2EE application framework - transaction
  Spring is a layered Java/J2EE application framework offering a lot of freedom
- to Java developers yet providing well documented and easy-to-use solutions for
- common practices in the industry.
- .
- This package provide spring-transaction.jar : transaction infrastructure,
- JCA support, DAO support.
-
-Package: libspring-jdbc-java
-Architecture: all
-Depends: libc3p0-java,
-         libspring-beans-java (= ${source:Version}),
-         libspring-transaction-java (= ${source:Version}),
-         ${misc:Depends}
