=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,22 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
+export SOURCE_DATE_EPOCH
 
 JAVA_HOME       := /usr/lib/jvm/default-java
 
-MODULES = aop beans context context-support core expression instrument jdbc jms messaging orm oxm test tx web webmvc webmvc-portlet
+# MODULES = aop beans context context-support core expression instrument jdbc jms messaging orm oxm test tx web webmvc webmvc-portlet
+MODULES = aop beans context context-support core expression instrument jdbc orm oxm test tx web webmvc webmvc-portlet
 
 %:
-	dh $@ --buildsystem=gradle
+	dh $@ --buildsystem=gradle -Nlibspring-messaging-java -Nlibspring-jms-java
 
 override_dh_auto_build:
 	dh_auto_build -- jar -x test -x check \
 	                 -x :spring-orm-hibernate4:compileJava \
 	                 -x :spring-orm-hibernate5:compileJava \
+	                 -x :spring-jms:compileJava \
+	                 -x :spring-messaging:compileJava \
 	                 -x :spring-instrument-tomcat:compileJava \
 	                 -x :spring-webmvc-tiles2:compileJava \
 	                 -x :spring-websocket:compileJava
@@ -37,6 +43,3 @@
 	# Install the spring-aspects artifact in the aop package
 	mh_installpom -plibspring-aop-java --relocate=org.springframework:spring-aspects:3.x spring-aspects/build/debian/spring-aspects.pom
 	mh_installjar -plibspring-aop-java -nspring3-aspects --usj-version=3.x --java-lib spring-aspects/build/debian/spring-aspects.pom spring-aspects/build/libs/spring-aspects*.jar
-
-get-orig-source:
-	uscan --download-current-version --rename --force-download
