## libspring-java 4.3.22.1

=== debian/changelog ===
libspring-java (4.3.22.1-4) unstable; urgency=medium

  * fix CVE-2022-22965.

 -- Meng Tang <uniontech.com> Thu, 31 Mar 2022 22:01:08 +0800

libspring-java (4.3.22-4) unstable; urgency=medium

  * Team upload.
  * Restored the messaging and jms modules but no longer build the STOMP
    related classes depending on projectreactor (Closes: #925533)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Apr 2019 01:49:55 +0200
