## libspring-java 4.3.23~git20190308

=== debian/changelog ===
libspring-java (4.3.23~git20190308-1) experimental; urgency=medium

  * Team upload.
  * Upload a new upstream version to experimental.
    - This is an upload with all modules enabled, since the next
      upload to unstable will temporarily remove jasperreports and
      openhft support since those are RC-buggy and likely will not
      be available in buster.
      This version will however prevent Spring from going through
      NEW as long as it is in experimental.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 09 Mar 2019 12:40:07 +0000
