=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
                      libjackson2-databind-java,
                      libjackson2-dataformat-xml-java,
                      libjamon-java,
-#                     libjasperreports-java (>= 6.1.1+dfsg-4~),
+                     libjasperreports-java (>= 6.1.1+dfsg-4~),
                      libjaxb-api-java,
                      libjaxws-api-java,
                      libjdo-api-java (>= 3.1),
@@ -75,7 +75,7 @@
                      libprotobuf-java,
                      libprotobuf-java-format-java (>= 1.3),
                      libquartz2-java,
-#                     libreactor-core-java (>= 2.0.8),
+                     libreactor-core-java (>= 2.0.8),
                      librome-java (>= 1.6),
                      libservlet-api-java,
                      libtaglibs-standard-jstlel-java,
@@ -182,7 +182,7 @@
 Suggests: libehcache-java,
           libfreemarker-java,
           libgeronimo-commonj-spec-java,
-#          libjasperreports-java,
+          libjasperreports-java,
           libquartz2-java,
           velocity
 Description: modular Java/J2EE application framework - Context Support
@@ -223,7 +223,7 @@
          ${misc:Depends}
 Recommends: libapache-poi-java,
             libitext-java,
-#            libjasperreports-java,
+            libjasperreports-java,
             libjexcelapi-java,
             libspring-context-support-java (= ${source:Version}),
             libtiles-java (>= 3.0),
