=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\.RELEASE// \
https://github.com/spring-projects/spring-framework/tags .*/v([\d\.]+).RELEASE.tar.gz

opts="mode=git, pgpmode=none, pretty=4.3.23~git%cd, repack, compression=xz" \
https://github.com/spring-projects/spring-framework \
heads/4.3.x
