## libspring-java 4.3.28

=== debian/changelog ===
libspring-java (4.3.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules to use the old propdeps-plugin
  * Depend on libhibernate-validator4-java instead of
    libhibernate-validator-java (Closes: #941685)
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 10 Sep 2020 15:30:54 +0200
