=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
                      libgeronimo-jta-1.2-spec-java,
                      libgeronimo-validation-1.0-spec-java,
                      libhessian-java,
-                     libhibernate-validator-java (>= 4.3.2),
+                     libhibernate-validator4-java,
                      libhibernate3-java (>= 3.5),
                      libhsqldb-java,
                      libhttpasyncclient-java,
@@ -54,7 +54,7 @@
                      libjackson2-databind-java,
                      libjackson2-dataformat-xml-java,
                      libjamon-java,
-                     libjasperreports-java (>= 6.1.1+dfsg-4~),
+#                     libjasperreports-java (>= 6.1.1+dfsg-4~),
                      libjaxb-api-java,
                      libjaxws-api-java,
                      libjdo-api-java (>= 3.1),
@@ -75,7 +75,7 @@
                      libprotobuf-java,
                      libprotobuf-java-format-java (>= 1.3),
                      libquartz2-java,
-                     libreactor-core-java (>= 2.0.8),
+#                     libreactor-core-java (>= 2.0.8),
                      librome-java (>= 1.6),
                      libservlet-api-java,
                      libtaglibs-standard-jstlel-java,
@@ -92,7 +92,7 @@
                      maven-repo-helper (>= 1.9~),
                      testng (>= 6.9.12-2~),
                      velocity
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/libspring-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libspring-java
 Homepage: https://spring.io/projects/spring-framework
@@ -182,7 +182,7 @@
 Suggests: libehcache-java,
           libfreemarker-java,
           libgeronimo-commonj-spec-java,
-          libjasperreports-java,
+#          libjasperreports-java,
           libquartz2-java,
           velocity
 Description: modular Java/J2EE application framework - Context Support
@@ -223,7 +223,7 @@
          ${misc:Depends}
 Recommends: libapache-poi-java,
             libitext-java,
-            libjasperreports-java,
+#            libjasperreports-java,
             libjexcelapi-java,
             libspring-context-support-java (= ${source:Version}),
             libtiles-java (>= 3.0),
